%global momorel 2
%define py_ver %(python -c 'import sys;print(sys.version[0:3])')

%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings for the clutter library for gtk
Name: pyclutter-gtk
Version: 0.10.0
Release: %{momorel}m%{?dist}
URL: http://www.clutter-project.org/
Source0: http://www.clutter-project.org/sources/%{name}/0.10/%{name}-%{version}.tar.bz2
NoSource: 0
License: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python >= 2.5
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: pycairo-devel
BuildRequires: clutter-devel
BuildRequires: pygobject-devel
BuildRequires: pyclutter-devel
Requires: clutter

%description
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel
 
%prep
%setup -q

%build
%configure --enable-docs --enable-shave
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{python_sitearch}/cluttergtk

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/pyclutter-gtk-0.10.pc
%{_datadir}/pyclutter/1.0/defs/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-2m)
- full rebuild for mo7 release

* Sun Jun 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.0-1m)
- initial build ?

